Index: manual/cmds/intf-c.etex
===================================================================
--- manual/cmds/intf-c.etex	(revision 12413)
+++ manual/cmds/intf-c.etex	(working copy)
@@ -1273,6 +1273,12 @@
 an exception escaped, and its value (the exception descriptor) can be
 recovered using "Extract_exception("\var{v}")".
 
+\paragraph{Warning:} If an exception did escape the OCaml function, \var{v}
+does not contain a valid value. It follows that prior to calling a memory-allocating
+function, \var{v} should not be reachable by the garbage collector. For instance,
+\var{v} should not be assigned to a variable declared with one of the "CAMLlocal*"
+macros.
+
 \subsection{Obtaining or registering OCaml closures for use in C functions}
 
 There are two ways to obtain OCaml function values (closures) to
